TAP::Stream::Role::ToString(3)

NAME
TAP::Stream::Role::ToString - Named strings for TAP::Stream and TAP::Stream::Text

VERSION
version 0.44

SYNOPSIS
    package TAP::Stream;
    use Moose;
    with qw(TAP::Stream::Role::ToString);

    ...

    1;

REQUIRES

  "to_string"
We don't know how the consumer of this role will produce a string, so we require a "to_string" method.

PROVIDES

  "name"
This is a string attribute, suitable for use in the constructor. It defaults to "Unnamed TAP stream". It is "rw" in case you create an unnamed stream and later need to add it to another stream and want to name it.

AUTHOR
Curtis "Ovid" Poe <ovid@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2013 by Curtis "Ovid" Poe.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.